Skip to content

Application Required Actions

Version

1.0.0

Copy for LLM

View as Markdown

Download OpenAPI spec

Base URL

| | | | https://api.facebook.com/application |

Endpoints

| | | | GET | /{app_id}/required_actions |


GET /{app_id}/required_actions

Required Actions Response

Request Syntax

GET /{app_id}/required_actions

Try it

Select language

cURLJavaScriptPython


curl --request GET \  
  --url 'https://api.facebook.com/application/{app_id}/required_actions' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Header Parameters


X-API-Version"1.0.0"

Path Parameters


app_idinteger·required

Application ID

Query Parameters


statusesarray of One of "completed", "in_progress", "in_review", "past_due"

Array of statuses to filter by if provided.

Responses


Required Actions Response

200

The required actions requested.

Content Type: application/json

Schema: object

Show child attributes


required_actionarray of object

List of required actions

Show child attributes


required_action[]object

Show child attributes


idinteger·required

ID of the action.


titlestring·required

Title of the compliance required action.


descriptionstring

Description of the compliance required action


due_dateinteger

Due date of the compliance required action


statusOne of "completed", "in_progress", "in_review", "past_due"

Status of the compliance required action.

Select language

cURLJavaScriptPython


curl --request GET \  
  --url 'https://api.facebook.com/application/{app_id}/required_actions' \  
  --header 'Authorization: Bearer <Token>' \  
  --header 'Content-Type: application/json' \  
  --data '{}'

Authentication

| | | | Scheme | Type | Location | | OAuthToken__Authorization | HTTP Bearer | Header: Authorization |

Usage Examples

OAuthToken__Authorization:

Include Authorization: Bearer your-token-here in request headers

Global Authentication Requirements

All endpoints require:

OAuthToken__Authorization

Unofficial mirror for reference/search purposes. All content originates from developers.facebook.com — see the source link at the top of each page. Machine-readable indexes: llms.txt · llms-full.txt · About